JUCE: TextDiff::Change Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
TextDiff::Change Struct Reference
juce_core » text

Describes a change, which can be either an insertion or deletion. More...

`#include <juce_TextDiff.h>`

## Public Member Functions
bool | isDeletion () const noexcept
| Returns true if this change is a deletion, or false for an insertion. More...
String | appliedTo (const String &original) const noexcept
| Returns the result of applying this change to a string. More...

## Public Attributes
String | insertedText
| If this change is a deletion, this string will be empty; otherwise, it'll be the text that should be inserted at the index specified by start. More...
int | start
| Specifies the character index in a string at which text should be inserted or deleted. More...
int | length
| If this change is a deletion, this specifies the number of characters to delete. More...

## Detailed Description

Describes a change, which can be either an insertion or deletion.

## Member Function Documentation

## ◆ isDeletion()

bool TextDiff::Change::isDeletion | ( |  | ) | const
| noexcept

Returns true if this change is a deletion, or false for an insertion.

## ◆ appliedTo()

String TextDiff::Change::appliedTo | ( | const String & | original | ) | const
| noexcept

Returns the result of applying this change to a string.

## Member Data Documentation

## ◆ insertedText

String TextDiff::Change::insertedText

If this change is a deletion, this string will be empty; otherwise, it'll be the text that should be inserted at the index specified by start.

## ◆ start

int TextDiff::Change::start

Specifies the character index in a string at which text should be inserted or deleted.

## ◆ length

int TextDiff::Change::length

If this change is a deletion, this specifies the number of characters to delete.

For an insertion, this is the length of the new text being inserted.

The documentation for this struct was generated from the following file:

- juce_TextDiff.h